<?php

/**
 * This plugin sends users a welcome message after logging in
 * and notify a moderator a new user has been added
 * it has a settings page that allow you to configure the messages
 * send.
 *
 * @package    local
 * @subpackage welcome
 * @copyright  2012 Bas Brands
 * @copyright  2012 Bright Alley Knowledge and learning
 * @author     Bas Brands bmbrands@gmail.com
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

function send_welcome($user) {
    global $CFG;

    $moderator = get_admin();
    $sender = get_admin();

    if(!empty($user->email)) {

        $moderator->email = get_config('local_welcome','moderator_email');

        $sender->email = get_config('local_welcome','sender_email');
        $sender->firstname = get_config('local_welcome','sender_firstname');
        $sender->lastname = get_config('local_welcome','sender_lastname');
        $message_user_enabled = get_config('local_welcome','message_user_enabled');
        $message_user = get_config('local_welcome','message_user');
        $message_user_subject = get_config('local_welcome','message_user_subject');
        $message_moderator_enabled = get_config('local_welcome','message_moderator_enabled');
        $message_moderator = get_config('local_welcome','message_moderator');
        $message_moderator_subject = get_config('local_welcome','message_moderator_subject');

        $tag = '[[user]]';
        $replacement = $user->firstname . ' ' . $user->lastname;

        $message_user = str_replace($tag, $replacement, $message_user);
        $message_user_subject = str_replace($tag, $replacement, $message_user_subject);
        $message_moderator = str_replace($tag, $replacement, $message_moderator);
        $message_moderator_subject = str_replace($tag, $replacement, $message_moderator_subject);


        if (!empty($message_user) && !empty($sender->email) && $message_user_enabled) {
            email_to_user($user,$sender,$message_user_subject,$message_user,$message_user);
        }
        
        if (!empty($message_moderator) && !empty($sender->email) && $message_moderator_enabled) {
            email_to_user($moderator,$sender,$message_moderator_subject,$message_moderator,$message_moderator);
        }
        
    }
}

